CREATE TABLE monutil_hosts (
    hostname NVARCHAR(255) PRIMARY KEY,
    ipAddress VARCHAR(15) NOT NULL
);

CREATE TABLE monutil_hostlogs (
    logID INT IDENTITY(1, 1) PRIMARY KEY,
    hostname NVARCHAR(255) NOT NULL,
    logTime DATETIME NOT NULL,
    cpu DECIMAL(5, 2) NOT NULL,
    memory DECIMAL(5, 2) NOT NULL,
    FOREIGN KEY (hostname) REFERENCES monutil_hosts(hostname)
);

CREATE TABLE monutil_urlLogs (
    logID INT IDENTITY(1, 1) PRIMARY KEY,
    hostname NVARCHAR(255) NOT NULL,
    url NVARCHAR(MAX) NOT NULL,
    logTime DATETIME NOT NULL,
    responseTime DECIMAL(5, 2) NOT NULL,
    FOREIGN KEY (hostname) REFERENCES monutil_hosts(hostname)
);
